Java 例外処理のthrowのサンプル

Javaの例外処理のthrowのサンプルです。

目次

例外処理のthrow

機能その1
throw new 例外クラス名()
  • 任意の場所で任意の例外を発生させ、その例外をスローします。
  • newを使って例外クラスをインスタンス化します。
機能その2
throw 例外インスタンス
  • 例外をスローします。

Throwableクラス

 

throwのサンプルコード

throwのサンプルコードです。
7行目は、16行目のメソッドを呼んでいます。
21行目は、throwで例外(NullPointerException)を発生させています。
10行目で、例外をキャッチしています。

package test1;

public class Test1 {
	public static void main(String[] args) {

		try{
			Sample.runSample();
			
		// 例外をキャッチ
		}catch (NullPointerException e) {
			System.out.println(e); //java.lang.NullPointerException
		}
 	}
}
class Sample  {
	static void runSample(){
		
		int i = 5;
		if (i == 5) {
			
			throw new NullPointerException(); 
			// throwで、例外(NullPointerException)を発生させる
		}
	}
}

 

独自のエラーメッセージを表示する

例外クラスのコンストラクタの引数に文字列をセットすると、getMessageメソッドで設定した文字列を取得することができます。
21行目は、コンストラクタの引数に文字列をセットしています。
10行目は、getMessageメソッドで設定した文字列を表示しています。

package test1;

public class Test1 {
	public static void main(String[] args) {

		try{
			Sample.runSample();

		}catch (NullPointerException e) {
			System.out.println(e.getMessage());//エラーです
			System.out.println(e);//java.lang.NullPointerException: エラーです
		}
 	}
}
class Sample  {
	static void runSample(){
		
		int i = 5;
		if (i == 5) {
			
			throw new NullPointerException("エラーです"); 
			// throwで、例外(NullPointerException)を発生させる
		}
	}
}

関連の記事

Java 検査例外のサンプル(チェック例外)
Java 非検査例外のサンプル(非チェック例外)
Java 独自の例外を作成するサンプル
Java printStackTraceとは
Java リソースを自動でクローズするサンプル(try-with-resources構文)



△上に戻る